Summary: utilities to make DNS easier to configure
Name: dnsutl
Version: 1.7
Release: 1
Copyright: GPL
Group: Networking/Admin
Source: http://www.canb.auug.org.au/~millerp/dnsutl/dnsutl-1.7.tar.gz
URL: http://www.canb.auug.org.au/~millerp/dnsutl/
BuildRoot: /tmp/dnsutl-build-root
Icon: dnsutl.gif

%description
The dnsutl package is a collection of tools to make administering
DNS easier.  The tools include:

dns-rev: Take the forward DNS mapping and generate the reverse mapping.

dns-hosts: Take the forward DNS mapping and generate the /etc/hosts file.

dns-ng: Take the forward DNS mapping and generate the /etc/netgroup file.

dns-ethers: By using a bogus record type, you can keep the MAC address
	with the IP address, and generate the /etc/ethers file.

dns-bootp: Using the MAC and IP information, you can generate the
	/etc/bootptab file.

dns-bootparams: Using the MAC and IP information, you can generate the
	Sun /etc/bootparams file.

All of these programs are both faster than shell scripts, and more
robust when faced with all the peculiar semantics of DNS resource files.
They even understand the \f(CW$include\fP directive.

%prep
%setup
./configure --prefix=/usr

%build
make

%install
make RPM_BUILD_ROOT=$RPM_BUILD_ROOT install

%files
%attr(0755,root,root) /usr/bin/dns-boot-check
%attr(0755,root,root) /usr/bin/dns-bootp
%attr(0755,root,root) /usr/bin/dns-bootparams
%attr(0755,root,root) /usr/bin/dns-dhcp
%attr(0755,root,root) /usr/bin/dns-ethers-import
%attr(0755,root,root) /usr/bin/dns-ethers
%attr(0755,root,root) /usr/bin/dns-filter
%attr(0755,root,root) /usr/bin/dns-hosts-import
%attr(0755,root,root) /usr/bin/dns-hosts
%attr(0755,root,root) /usr/bin/dns-ng
%attr(0755,root,root) /usr/bin/dns-rev
%attr(0644,root,root) /usr/man/man1/dns-boot-check.1
%attr(0644,root,root) /usr/man/man1/dns-bootp.1
%attr(0644,root,root) /usr/man/man1/dns-bootparams.1
%attr(0644,root,root) /usr/man/man1/dns-dhcp.1
%attr(0644,root,root) /usr/man/man1/dns-ethers-import.1
%attr(0644,root,root) /usr/man/man1/dns-ethers.1
%attr(0644,root,root) /usr/man/man1/dns-filter.1
%attr(0644,root,root) /usr/man/man1/dns-hosts-import.1
%attr(0644,root,root) /usr/man/man1/dns-hosts.1
%attr(0644,root,root) /usr/man/man1/dns-license.1
%attr(0644,root,root) /usr/man/man1/dns-ng.1
%attr(0644,root,root) /usr/man/man1/dns-rev.1
