'\" t
.\"	dnsutl - utilities to make DNS easier to configure
.\"	Copyright (C) 1992, 1993, 1995, 1999, 2000 Peter Miller;
.\"	All rights reserved.
.\"
.\"	This program is free software; you can redistribute it and/or modify
.\"	it under the terms of the GNU General Public License as published by
.\"	the Free Software Foundation; either version 2 of the License, or
.\"	(at your option) any later version.
.\"
.\"	This program is distributed in the hope that it will be useful,
.\"	but WITHOUT ANY WARRANTY; without even the implied warranty of
.\"	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
.\"	GNU General Public License for more details.
.\"
.\"	You should have received a copy of the GNU General Public License
.\"	along with this program; if not, write to the Free Software
.\"	Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111, USA.
.\"
.ds n) dnsutl
.so version.so
.TH readme \*(n)
.if n .ad l
.if n .hy 0
.SH NAME
\*(n) \- utilities to make DNS easier to configure
.XX "" "The README File"
.br
.if t .ds C) \(co
.if n .ds C) (C)
Copyright \*(C) \*(Y) Peter Miller;
All rights reserved.
.PP
The
.I \*(n)
package is distributed under the GNU General Public License,
see the LICENSE section, below, for more information.
.SH DESCRIPTION
The
.I \*(n)
package is a collection of tools to make administering DNS easier.
These include:
.TP 8n
.B dns-rev
.br
Take the forward DNS mapping and generate the reverse mapping.
.TP 8n
.B dns-boot-check
Check your \fInamed\fP(8) configuration for self-consistency.
.TP 8n
.B dns-hosts
.br
Take the forward DNS mapping and generate the
.I /etc/hosts
file.
.TP 8n
.B dns-ng
.br
Take the forward DNS mapping and generate the
.I /etc/netgroup
file.
.TP 8n
.B dns-ethers
By using a bogus record type, you can keep the MAC address with the IP
address, and generate the
.I /etc/ethers
file.
.TP 8n
.B dns-dhcp
Using the MAC and IP information, you can generate the
.I /etc/dhcp.conf
file.
.TP 8n
.B dns-bootp
Using the MAC and IP information, you can generate the
.I /etc/bootptab
file.
.TP 8n
.B dns-bootparams
Using the MAC and IP information, you can generate the Sun
.I /etc/bootparams
file.
.PP
All of these programs are both faster than shell scripts,
and more robust when faced with all the peculiar semantics
of DNS resource files.
They even understand the \f(CW$include\fP directive.
.br
.ne 1i
.SH ARCHIVE SITE
The latest version of
.I dnsutl
is available from:
.RS 4m
.TS
tab(;);
l l s
l l l.
URL:;www.canb.auug.org.au/~millerp/dnsutl/
File:;dnsutl.\*(v).README;# the README from the tarball
File:;dnsutl.\*(v).lsm;# an LSM package spec
File:;dnsutl.\*(v).pdf;# the manual in Adobe Acrobat format
File:;dnsutl.\*(v).spec;# a RedHat package spec
File:;dnsutl.\*(v).tar.gz;# the complete source
.TE
.RE
.br
.ne 1i
.SH BUILDING
Complete instructions for configuring, building, testing and installing
.I dnsutl
may be found in the 
.I BUILDING
file included in this distribution.
.br
.ne 1i
.SH LICENSE
This package is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.
.PP
This package is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.
.PP
You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111, USA.
.PP
It should be in the file called
.I LICENSE
included in this distribution.
.so ../man1/author.so
.bp
.SH NEW IN THIS RELEASE
.XX "" "Release Notes"
A number of features and bug fixes have been added to
.I dnsutl
with this release.
For excruciating detail,
and also acknowledgements of those who generously sent me feedback,
please see the
.I etc/CHANGES.*
files included in this distribution.
.so new.so
